
<style>
.alert:empty {
    padding: 0;
    margin: 0;
}</style>
<div class="page-margin">
	<div class="container">
		<h2 class="tag_page_title m5">Payment System Setting</h2>
		<div class="page-margin wow_content wow_sett_content">
			
			<div class="card">
                <div class="header">
                    <h3>PayPal payment Settings</h3>
                </div>
                <div class="body">
					<div class="app-general-alert setting-update-alert"></div>
                    <form class="paypal-settings" method="POST">
                       
                        <label for="currency">PayPal Currency</label>
                        <select class="form-control show-tick" id="currency" name="currency">
                          <option value="USD" <?php echo ($wo['payment']['paypal_currency'] == 'USD')  ? ' selected': '';?>>USD</option>
                          <option value="EUR" <?php echo ($wo['payment']['paypal_currency'] == 'EUR')  ? ' selected': '';?>>EUR</option>
                          <option value="AUD" <?php echo ($wo['payment']['paypal_currency'] == 'AUD')  ? ' selected': '';?>>AUD</option>
                          <option value="BRL" <?php echo ($wo['payment']['paypal_currency'] == 'BRL')  ? ' selected': '';?>>BRL</option>
                          <option value="CAD" <?php echo ($wo['payment']['paypal_currency'] == 'CAD')  ? ' selected': '';?>>CAD</option>
                          <option value="CZK" <?php echo ($wo['payment']['paypal_currency'] == 'CZK')  ? ' selected': '';?>>CZK</option>
                          <option value="DKK" <?php echo ($wo['payment']['paypal_currency'] == 'DKK')  ? ' selected': '';?>>DKK</option>
                          <option value="HKD" <?php echo ($wo['payment']['paypal_currency'] == 'HKD')  ? ' selected': '';?>>HKD</option>
                          <option value="HUF" <?php echo ($wo['payment']['paypal_currency'] == 'HUF')  ? ' selected': '';?>>HUF</option>
                          <option value="INR" <?php echo ($wo['payment']['paypal_currency'] == 'INR')  ? ' selected': '';?>>INR</option>
                          <option value="ILS" <?php echo ($wo['payment']['paypal_currency'] == 'ILS')  ? ' selected': '';?>>ILS</option>
                          <option value="JPY" <?php echo ($wo['payment']['paypal_currency'] == 'JPY')  ? ' selected': '';?>>JPY</option>
                          <option value="MYR" <?php echo ($wo['payment']['paypal_currency'] == 'MYR')  ? ' selected': '';?>>MYR</option>
                          <option value="MXN" <?php echo ($wo['payment']['paypal_currency'] == 'MXN')  ? ' selected': '';?>>MXN</option>
                          <option value="TWD" <?php echo ($wo['payment']['paypal_currency'] == 'TWD')  ? ' selected': '';?>>TWD</option>
                          <option value="NZD" <?php echo ($wo['payment']['paypal_currency'] == 'NZD')  ? ' selected': '';?>>NZD</option>
                          <option value="NOK" <?php echo ($wo['payment']['paypal_currency'] == 'NOK')  ? ' selected': '';?>>NOK</option>
                          <option value="PHP" <?php echo ($wo['payment']['paypal_currency'] == 'PHP')  ? ' selected': '';?>>PHP</option>
                          <option value="PLN" <?php echo ($wo['payment']['paypal_currency'] == 'PLN')  ? ' selected': '';?>>PLN</option>
                          <option value="GBP" <?php echo ($wo['payment']['paypal_currency'] == 'GBP')  ? ' selected': '';?>>GBP</option>
                          <option value="RUB" <?php echo ($wo['payment']['paypal_currency'] == 'RUB')  ? ' selected': '';?>>RUB</option>
                          <option value="SGD" <?php echo ($wo['payment']['paypal_currency'] == 'SGD')  ? ' selected': '';?>>SGD</option>
                          <option value="SEK" <?php echo ($wo['payment']['paypal_currency'] == 'SEK')  ? ' selected': '';?>>SEK</option>
                          <option value="CHF" <?php echo ($wo['payment']['paypal_currency'] == 'CHF')  ? ' selected': '';?>>CHF</option>
                          <option value="THB" <?php echo ($wo['payment']['paypal_currency'] == 'THB')  ? ' selected': '';?>>THB</option>
                        </select>
                        <div class="clearfix"></div>
                        <br>
                        <div class="form-group form-float">
                            <div class="form-line">
							<label class="form-label">PayPal Clinet ID</label>
                                <input type="text" id="api_key" name="api_key" class="form-control" value="<?php echo $wo['payment']['paypal_api_key'];?>">
                            </div>
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
							<label class="form-label">PayPal Secret Key</label>
                                <input type="text" id="secret_key" name="secret_key" class="form-control" value="<?php echo $wo['payment']['paypal_secret_key'];?>">
                                
                            </div>
                        </div>
						<input type="hidden" name="type" value="paypal">
						<input type="hidden" name="pid" id="pid" value="<?php echo $wo['payment']['paypal_id'];?>">
						<input type="hidden" name="payment_mode" id="payment_mode" value="live">
                        <input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
                        <button type="submit" class="btn btn-primary m-t-15 disable_btn">Save</button>
                    </form>
                </div>
            </div>
			</div>

		<div class="page-margin wow_content wow_sett_content">
			<div class="card">
                <div class="header">
                    <h3>Stripe Payment Settings</h3>
                </div>
                <div class="body">
                    <div class="stripe-app-general-alert setting-update-alert"></div>
                    <form class="stripe-payment-settings" method="POST">

                        <label for="currency">Stripe Currency</label>
                        <select class="form-control show-tick" id="currency" name="currency">
                          <option value="USD" <?php echo ($wo['payment']['stripe_currency'] == 'USD')  ? ' selected': '';?>>USD</option>
                          <option value="EUR" <?php echo ($wo['payment']['stripe_currency'] == 'EUR')  ? ' selected': '';?>>EUR</option>
                          <option value="AUD" <?php echo ($wo['payment']['stripe_currency'] == 'AUD')  ? ' selected': '';?>>AUD</option>
                          <option value="BRL" <?php echo ($wo['payment']['stripe_currency'] == 'BRL')  ? ' selected': '';?>>BRL</option>
                          <option value="CAD" <?php echo ($wo['payment']['stripe_currency'] == 'CAD')  ? ' selected': '';?>>CAD</option>
                          <option value="CZK" <?php echo ($wo['payment']['stripe_currency'] == 'CZK')  ? ' selected': '';?>>CZK</option>
                          <option value="DKK" <?php echo ($wo['payment']['stripe_currency'] == 'DKK')  ? ' selected': '';?>>DKK</option>
                          <option value="HKD" <?php echo ($wo['payment']['stripe_currency'] == 'HKD')  ? ' selected': '';?>>HKD</option>
                          <option value="HUF" <?php echo ($wo['payment']['stripe_currency'] == 'HUF')  ? ' selected': '';?>>HUF</option>
                          <option value="ILS" <?php echo ($wo['payment']['stripe_currency'] == 'ILS')  ? ' selected': '';?>>ILS</option>
                          <option value="JPY" <?php echo ($wo['payment']['stripe_currency'] == 'JPY')  ? ' selected': '';?>>JPY</option>
                          <option value="MYR" <?php echo ($wo['payment']['stripe_currency'] == 'MYR')  ? ' selected': '';?>>MYR</option>
                          <option value="MXN" <?php echo ($wo['payment']['stripe_currency'] == 'MXN')  ? ' selected': '';?>>MXN</option>
                          <option value="TWD" <?php echo ($wo['payment']['stripe_currency'] == 'TWD')  ? ' selected': '';?>>TWD</option>
                          <option value="NZD" <?php echo ($wo['payment']['stripe_currency'] == 'NZD')  ? ' selected': '';?>>NZD</option>
                          <option value="NOK" <?php echo ($wo['payment']['stripe_currency'] == 'NOK')  ? ' selected': '';?>>NOK</option>
                          <option value="PHP" <?php echo ($wo['payment']['stripe_currency'] == 'PHP')  ? ' selected': '';?>>PHP</option>
                          <option value="PLN" <?php echo ($wo['payment']['stripe_currency'] == 'PLN')  ? ' selected': '';?>>PLN</option>
                          <option value="RUB" <?php echo ($wo['payment']['stripe_currency'] == 'RUB')  ? ' selected': '';?>>RUB</option>
                          <option value="SGD" <?php echo ($wo['payment']['stripe_currency'] == 'SGD')  ? ' selected': '';?>>SGD</option>
                          <option value="SEK" <?php echo ($wo['payment']['stripe_currency'] == 'SEK')  ? ' selected': '';?>>SEK</option>
                          <option value="CHF" <?php echo ($wo['payment']['stripe_currency'] == 'CHF')  ? ' selected': '';?>>CHF</option>
                          <option value="THB" <?php echo ($wo['payment']['stripe_currency'] == 'THB')  ? ' selected': '';?>>THB</option>
                          <option value="GBP" <?php echo ($wo['payment']['stripe_currency'] == 'GBP')  ? ' selected': '';?>>GBP</option>
                        </select>
                        <div class="clearfix"></div>
                        <br>
                        <div class="form-group form-float">
                            <div class="form-line">
                            <label class="form-label">Stripe API Secret Key <small>Your Stripe secret key that starts with sk_</small></label>
                                <input type="text" id="secret_key" name="secret_key" class="form-control" value="<?php echo $wo['payment']['stripe_secret_key'];?>">
                                
                            </div>
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
                            <label class="form-label">Stripe Publishable Key <small>Your Stripe publishable key that starts with pk_</small></label>
                                <input type="text" id="api_key" name="api_key" class="form-control" value="<?php echo $wo['payment']['stripe_api_key'];?>">
                                
                            </div>
                        </div>
                        <br>
						<input type="hidden" name="payment_mode" id="payment_mode" value="live">
                        <input type="hidden" name="type" value="stripe">
						<input type="hidden" name="pid" id="pid" value="<?php echo $wo['payment']['stripe_id'];?>">
                        <input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
                        <button type="submit" class="btn btn-primary m-t-15 disable_btn">Save</button>
                    </form>
                </div>
            </div>
		</div>
	</div>
	
</div>

<script type="text/javascript">
	
   $(function() {
     $('form.paypal-settings').ajaxForm({
       url: Wo_Ajax_Requests_File() + '?f=user_payment_setting&s=update_user_payment_setting',
       beforeSend: function() {
         $('.paypal-settings').find('.disable_btn').attr('disabled','disabled');
       },
       success: function(data) {
         scrollToTop();
         if (data.status == 200) {
			$("html, body").animate({ scrollTop: 0 }, "slow");
                $('.app-general-alert').html('<div class="alert alert-success"><i class="fa fa-check"></i> Settings updated successfully</div>');
                setTimeout(function () {
                    location.reload();
                }, 2000);
         } else {
             var errors = data.errors;
             $('.app-general-alert').html('<div class="alert alert-danger">' + errors + '</div>');
             $('.alert-danger').fadeIn(300);
         }
         $('.paypal-settings').find('.disable_btn').removeAttr("disabled");
       }
     });

     $('form.stripe-payment-settings').ajaxForm({
       url: Wo_Ajax_Requests_File() + '?f=user_payment_setting&s=update_user_payment_setting',
       beforeSend: function() {
         $('.stripe-payment-settings').find('.disable_btn').attr('disabled','disabled');
       },
       success: function(data) {
         scrollToTop();
         if (data.status == 200) {
			$("html, body").animate({ scrollTop: 0 }, "slow");
                $('.stripe-app-general-alert').html('<div class="alert alert-success"><i class="fa fa-check"></i> Settings updated successfully</div>');
                setTimeout(function () {
                    location.reload();
                }, 2000);
         } else {
             var errors = data.errors;
             $('.stripe-app-general-alert').html('<div class="alert alert-danger">' + errors + '</div>');
             $('.alert-danger').fadeIn(300);
         }
         $('.stripe-payment-settings').find('.disable_btn').removeAttr("disabled");
       }
     });
   });
</script>